Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224263 - When killed kdm does not properly cleanup PAM state
Summary: When killed kdm does not properly cleanup PAM state
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 21:48 UTC by Davide Bolcioni
Modified: 2008-04-04 21:41 UTC (History)
1 user (show)

Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-04 21:41:24 UTC


Attachments (Terms of Use)

Description Davide Bolcioni 2007-01-24 21:48:43 UTC
Description of problem: When killing kdm to work around bug #224260, resources 
managed by pam_console such as /dev/dsp still belong to the previously logged 
in console user.

Version-Release number of selected component (if applicable):
kdebase 3.5.4-12.fc6

How reproducible:
Sporadically, see bug #224260.

Steps to Reproduce:
1. Log off
2. Experience X server crash per bug #224260
3. Login via ssh and kill kdm
4. kdm restarts
5. Log in
  
Actual results: A message complains about the ownership on /dev/dsp, which
is still owned by the user who logged off in step #1 and not by the user who 
logged in at the console in step #5.

Expected results: Correct ownership on /dev/dsp.


Additional info: In /var/log/messages I am seeing

Jan 23 10:51:07 camelot kdm[2924]: X server for display :0 terminated 
unexpectedly
Jan 23 10:51:07 camelot kdm: :0[2941]: pam_setcred(DELETE_CRED) for eisenturm 
failed: System error

and I guess PID 2924 got killed and PID 2941 was respawned and encountered 
problems with PAM.

Comment 1 Mike Cohler 2007-01-30 20:47:42 UTC
I may have a related problem - added a comment to 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=224260


Comment 2 Bug Zapper 2008-04-04 05:44:05 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Davide Bolcioni 2008-04-04 20:31:55 UTC
This does not happen with Fedora 8 on x86_64.

Comment 4 John Poelstra 2008-04-04 21:41:24 UTC
thanks for the update. CLOSING


Note You need to log in before you can comment on or make changes to this bug.